load('hs.sage')
load('complextools.sage')

def Chebychev2nd(n, x):
    """Chebychev2nd(n, x): returns Chebychev polynomial of second kind of degree n in x.""" 
    if n < 0:
        return 0
    else:
        return (n+1) * hs([-n, n+2], [3/2], (1 - x)/2)
